Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 37838

Summary: SuSE9 Usermode Linuxinstaller (uml-install-suse) ported to gentoo
Product: Gentoo Linux Reporter: Harald Fielker <fielker>
Component: Current packagesAssignee: Gentoo's Team for Core System packages <base-system>
Status: RESOLVED UPSTREAM    
Severity: enhancement CC: joe, m.debruijne, ramon
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://www.suse.de/~kraxel/uml
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: uml-suse.tgz
uml-suse.tar.bz2
uml-suse.tar.bz2
uml-suse.tar.bz2
uml-suse.tar.bz2
Updated for SuSE 9.1

Description Harald Fielker 2004-01-10 15:09:32 UTC
Hi all,

SuSE9 contains a nice script for installing a new UML (http://user-mode-linux.sourceforge.net/) within a SuSE9 installation. I ported this script to gentoo.

uml-install-suse makes it possible to install SuSE9 from an ftp/http mirror right into a uml machine, e.g.

uml-install-suse --root-fs reiserfs --media http://ftp.gwdg.de/pub/linux/suse/ftp.suse.com
/suse/i386/9.0

and you can boot this machine with:

linux mem=64mb eth0=tuntap,,,192.168.10.1 umid=uml ubd0=root.img ubd1=swap.img


This offers you:

1) To have SuSE9 within gentoo (a rpm based distro) - nice for testing.
and
2) To setup a UML machine to playwith in less then 10minutes.

Pleas _READ_ the Readme file ;)


I have no idea what would be the "best" way to integrate this in gentoo. Maybe
an ebuild somewhere in a app-misc folder.
Comment 1 Harald Fielker 2004-01-10 15:11:08 UTC
Created attachment 23572 [details]
uml-suse.tgz

Port of uml-install-suse to gentoo.
Comment 2 Harald Fielker 2004-01-11 20:47:33 UTC
Comment on attachment 23572 [details]
uml-suse.tgz

new file is available
Comment 3 Harald Fielker 2004-01-11 20:50:19 UTC
Created attachment 23657 [details]
uml-suse.tar.bz2

Fixed some bugs. Check the README.
Comment 4 Benny Chuang (RETIRED) gentoo-dev 2004-01-12 06:39:10 UTC
Thanks for noticing through email.
Although Gentoo is about the choice, but my concerns are the SuSe9 and RPM. Let's see what other doc devs think :)
Comment 5 Sven Vermeulen (RETIRED) gentoo-dev 2004-01-13 11:14:38 UTC
I haven't taken a look at the files, but can it be changed so that we can quickly install Gentoo inside Gentoo? Or make it more distribution-independent?
Comment 6 Harald Fielker 2004-01-13 11:30:35 UTC
No - check the Gentoo UML page http://www.gentoo.org/doc/en/uml.xml. For Gentoo you need to bootstrap or use one of the stages files. Of couse you can share packages. Between host <-> guest. Checkt the FEATURES option in make.config on your host. I also know that there is a quickpacke tool available.

This script ist used for SuSE9 only. It downloads rpm from a SuSE9 dvd or a mirror e.g. ftp/http and installs this binary packages.
Comment 7 Harald Fielker 2004-01-14 15:13:39 UTC
Comment on attachment 23657 [details]
uml-suse.tar.bz2

updated
Comment 8 Harald Fielker 2004-01-14 15:17:56 UTC
Created attachment 23827 [details]
uml-suse.tar.bz2

* added cosmetic fixes to uml-install-suse: hwclock is removed and replaced by
a dummy
* added documentation for using a 2.6.0 guest kernel (this took me 2 days)
Comment 9 Harald Fielker 2004-01-15 16:16:49 UTC
Comment on attachment 23827 [details]
uml-suse.tar.bz2

more updates ;)
Comment 10 Harald Fielker 2004-01-15 16:20:16 UTC
Created attachment 23888 [details]
uml-suse.tar.bz2

* uml-install-suse contains an inlayed tar file - no more "distrib" directory
needed

* there is a known yast/uml issue: If you start the yast network configurator
(can also be done with "yast lan" at the root prompt), nothing happens.
Workaround is to use "hwprobe=-sys" at the guest kernel cmdline, e.g.:
# linux mem=64mb eth0=tuntap,,,192.168.1.2 umid=uml ubd0=root.img ubd1=swap.img
hwprobe=-sys
Comment 11 Harald Fielker 2004-01-17 11:20:47 UTC
Created attachment 23998 [details]
uml-suse.tar.bz2

* small fixes: The script will no work with Debian (tested with woody)
* There is also a readme file for Debian.
Comment 12 Joseph Booker 2004-07-10 22:35:53 UTC
problem (besides the obsolete tail syntax):

root@Athena uml-suse ./uml-install-suse --root-fs ext3 --media http://ftp.gwdg.de/pub/linux/suse/ftp.suse.com/suse/i3 86/9.1 --hostname zerg
fetching http://ftp.gwdg.de/pub/linux/suse/ftp.suse.com/suse/i386/9.1/content

### -> installing SUSE LINUX Version 9.1 from http://ftp.gwdg.de/pub/linux/suse/ftp.suse.com/suse/i386/9.1 <-
fetching http://ftp.gwdg.de/pub/linux/suse/ftp.suse.com/suse/i386/9.1/suse/setup/descr/Minimal.sel
fetching http://ftp.gwdg.de/pub/linux/suse/ftp.suse.com/suse/i386/9.1/suse/setup/descr/MINIMAL.sel
add selection: MINIMAL
add selection: Minimal
fetching http://ftp.gwdg.de/pub/linux/suse/ftp.suse.com/suse/i386/9.1/suse/setup/descr/packages

### -> setup ./swap.img <-
256+0 records in
256+0 records out
Setting up swapspace version 1, size = 268431 kB

### -> setup ./root.img <-
512+0 records in
512+0 records out

### -> install rpm <-
http://ftp.gwdg.de/pub/linux/suse/ftp.suse.com/suse/i386/9.1/suse/i586/rpm-4.1.1-177.i586.rpm ...
http://ftp.gwdg.de/pub/linux/suse/ftp.suse.com/suse/i386/9.1/suse/i586/glibc-2.3.3-98.i586.rpm ...
6

### -> install packages <-

### -> extracting dist files <-
tar: This does not look like a tar archive
tar: Skipping to next header
tar: Error exit delayed from previous errors


same thing w/ 9.0 and 9.1, i cant find out more cuz the scipt deletes the /tmp/uml* folder
Comment 13 Joseph Booker 2004-07-10 23:10:41 UTC
fixed it, got another one

root@Athena uml-suse ./uml-install-suse --root-fs ext3 --media ftp://mirror.mcs.anl.gov/pub/suse/i386/9.1 --hostname zerg
fetching ftp://mirror.mcs.anl.gov/pub/suse/i386/9.1/content

### -> installing SUSE LINUX Version 9.1 from ftp://mirror.mcs.anl.gov/pub/suse/i386/9.1 <-
fetching ftp://mirror.mcs.anl.gov/pub/suse/i386/9.1/suse/setup/descr/Minimal.sel
fetching ftp://mirror.mcs.anl.gov/pub/suse/i386/9.1/suse/setup/descr/MINIMAL.sel
add selection: MINIMAL
add selection: Minimal
fetching ftp://mirror.mcs.anl.gov/pub/suse/i386/9.1/suse/setup/descr/packages

### -> setup ./swap.img <-
Setting up swapspace version 1, size = 268431 kB

### -> setup ./root.img <-

### -> install rpm <-
ftp://mirror.mcs.anl.gov/pub/suse/i386/9.1/suse/i586/rpm-4.1.1-177.i586.rpm ...
ftp://mirror.mcs.anl.gov/pub/suse/i386/9.1/suse/i586/glibc-2.3.3-98.i586.rpm ...
6

### -> install packages <-

### -> extracting dist files <-

### -> creating install list <-

### -> going chroot <-
/bin/rpm: error while loading shared libraries: libz.so.1: cannot open shared object file: No such file or directory
/doinst.sh: line 3: /bin/rm: No such file or directory
Comment 14 Harald Fielker 2004-08-09 07:10:35 UTC
Created attachment 37096 [details]
Updated for SuSE 9.1

Hi all,

i updated the suse-uml-installer script for SuSE 9.1 (x86). It works using a
recent gentoo version (please READ the README file before asking any questions)
and Debian (woody - yes ancient software!).

Have fun.
Comment 15 SpanKY gentoo-dev 2005-02-10 21:50:59 UTC
please send these fixes to the people who maintain said script